From f5d808e5d5520dbb59e2791bfd193dfc002a5be6 Mon Sep 17 00:00:00 2001
From: David Isaac Wolinsky <isaac.wolinsky@gmail.com>
Date: Tue, 17 Dec 2013 20:05:52 -0500
Subject: [PATCH] MachinState should be accessed as MachinState::id in Vagrant
 2

---
 Rakefile | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/Rakefile b/Rakefile
index 9ab1399..ab51412 100644
--- a/Rakefile
+++ b/Rakefile
@@ -52,6 +52,14 @@ def primary_vm
   end
 end
 
+def primary_vm_state
+  if vagrant_old
+    return primary_vm.state
+  else
+    return primary_vm.state.id
+  end
+end
+
 def current_vm_memory
   vm = primary_vm
   uuid = vm.uuid
@@ -67,8 +75,7 @@ def current_vm_cpus
 end
 
 def vm_running?
-  vm = primary_vm
-  vm.state == :running
+  primary_vm_state == :running
 end
 
 def enough_free_memory?
@@ -228,7 +235,7 @@ end
 namespace :vm do
   desc 'Start the build virtual machine'
   task :up => ['parse_build_options', 'validate_http_proxy'] do
-    case primary_vm.state
+    case primary_vm_state
     when :not_created
       # Do not use non-existant in-VM proxy to download the basebox
       if ENV['http_proxy'] == INTERNEL_HTTP_PROXY
-- 
1.8.5.1

